KIO Link
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
  1. Application Content
  • Auth
    • Login
      POST
    • Generate OTS Token
      POST
  • Application Content
    • List application content
      GET
    • Create application content
      POST
    • Get application content by slug
      GET
    • Get application content by public id
      GET
    • Partially update application content
      PATCH
    • Delete application content
      DELETE
  • Banned Devices
    • List banned devices
      GET
    • Check if a device is risky or banned
      GET
    • Get a banned device
      GET
    • Create a banned device
      POST
    • Update a banned device
      PATCH
    • Delete a banned device
      DELETE
  • Data Centers
    • Listar data centers
      GET
    • Crear un data center
      POST
    • Actualizar un data center
      PATCH
    • Eliminar un data center
      DELETE
  • Intake Forms
    • List intake form reponses
      GET
    • Get an intake form's response
      GET
    • Get an intake form's response license file
      GET
    • Get an intake form's response identification file
      GET
    • Download intake form responses report
      GET
    • Create an intake form's response
      POST
    • Upload a license file to an intake form's response
      POST
    • Upload an identification file to an intake form's response
      POST
    • Update an intake form's response
      PATCH
    • Delete an intake form's response
      DELETE
  • Send App Notification
    POST
  • Events Locations
    GET
  • Fetch Wires
    GET
  • Create Business Temporary Secret
    POST
  • Send Visits Report
    GET
  • Schemas
    • ApplicationContentCreate
    • ApplicationContentUpdate
    • ApplicationContent
    • ApplicationContentListResponse
    • Banned Device
    • Error
    • LanguageEntry
    • Pagination
    • Intake Form
    • DataCenter
    • LocalizedContent
  1. Application Content

Partially update application content

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
PATCH
https://qa-api.kiolinkapp.com
/v1/application-content/{id}
Application Content
Last modified:2026-08-21 23:32:43
Maintainer:José María Esparza Arévalo
Required Permission(s):settings-application-content-update
Updates supplied fields only. The public id and created_at fields are immutable. New fields are accepted.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "type": "Modal",
    "presentation": {
        "dismissible": true,
        "severity": "warning"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://qa-api.kiolinkapp.com/v1/application-content/2114325240453423' \
--header 'authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "Modal",
    "presentation": {
        "dismissible": true,
        "severity": "warning"
    }
}'

Responses

🟢200
application/json
Application content updated
Bodyapplication/json

Example
{
    "id": "2114325240453423",
    "created_at": "2026-08-05_19:03:39",
    "name": "Export Control Notice",
    "slug": "export-control-notice",
    "located_at": "/kiolink.kiodc.tech/request",
    "description": "string",
    "type": "Alert",
    "languages": [
        {
            "en": {
                "title": "Export Control Notice",
                "copy": "Dear user, please review the export control rules.",
                "checkbox": "I have read and accept",
                "url": "https://www.trade.gov/us-export-controls"
            },
            "sp": {
                "title": "Aviso de Control de Exportaciones",
                "copy": "Estimado usuario: revise las normas de control de exportaciones.",
                "checkbox": "He leído y acepto",
                "url": "https://www.trade.gov/us-export-controls"
            }
        }
    ],
    "property1": "string",
    "property2": "string",
    "_id": "64b000000000000000000001",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "__v": 0
}
🟠400BadRequest
🟠403Forbidden
🟠404NotFound
🔴500InternalServerError
Modified at 2026-08-21 23:32:43
Previous
Get application content by public id
Next
Delete application content
Built with